## ros-indigo-squirrel-object-perception-msgs 0.0.24

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(squirrel_object_perception_msgs)

find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  geometry_msgs
  message_generation
  octomap_msgs
  sensor_msgs
  std_msgs
)

add_message_files(
  FILES
  BBox.msg
  BCylinder.msg
  Classification.msg
  DynamicObject.msg
  LumpToDB.msg
  ObjectToDB.msg
  Saliency.msg
  StampedDynamicObject.msg
  ViewpointEntropy.msg
  SceneObject.msg
)

add_service_files(
  FILES
  ActiveExplorationNBV.srv
  Classify.srv
  CoveragePlan.srv
  CoveragePlanFile.srv
  EntropyMap.srv
  EntropyMapViz.srv
  FindDynamicObjects.srv
  GetSaliency3DSymmetry.srv
  GetSaliencyColor.srv
  GetSaliencyHeight.srv
  GetSaliencyItti.srv
  GetSaliencyLocation.srv
  GetSaliencySurfaceOrientation.srv
  GetSaliencySymmetry.srv
  Recognize.srv
  Recognize2d.srv
  Segment.srv
  SegmentInit.srv
  SegmentOnce.srv
  SegmentVisualizationInit.srv
  SegmentVisualizationOnce.srv
  SegmentsToObjects.srv
  StartObjectTracking.srv
  StopObjectTracking.srv
  StartInstanceTracking.srv
  StopInstanceTracking.srv
  StartLumpTracking.srv
  StopLumpTracking.srv
)

add_action_files(
  FILES
  LookForObjects.action
  GraspObject.action
)

generate_messages(
  DEPENDENCIES
  actionlib_msgs
  geometry_msgs
  octomap_msgs
  sensor_msgs
  std_msgs
)

catkin_package(
#  INCLUDE_DIRS include
 #  LIBRARIES squirrel_object_perception_msgs
 CATKIN_DEPENDS
    #  DEPENDS system_lib

    actionlib_msgs
    geometry_msgs
    message_runtime
    octomap_msgs
    sensor_msgs
    std_msgs
)

=== debian/changelog ===
ros-indigo-squirrel-object-perception-msgs (0.0.24-0trusty) trusty; urgency=high

  * add messages for view controller
  * Update srv and msg for v4r 1.4.4
  * Contributors: Jean-Baptiste Weibel, Markus Bajones

 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Sun, 19 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.23-0trusty) trusty; urgency=high

  * added message for 2d recognizer
  * Contributors: Edith Langer

 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Sun, 12 Feb 2017 23:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.22-0trusty) trusty; urgency=high



 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Tue, 27 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.21-0trusty) trusty; urgency=high



 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Wed, 14 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.20-0trusty) trusty; urgency=high



 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Tue, 06 Sep 2016 22:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.19-0trusty) trusty; urgency=high

  * Move service definitions to correct module
    These services handle movement of the pan and tilt unit, which does not really fit into squirrel_object_perception.
  * Changed names of variables in service after testing in Vienna.
  * Contributors: Markus Bajones, Tim Patten Desktop

 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.18-0trusty) trusty; urgency=high



 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Mon, 09 May 2016 22:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.17-0trusty) trusty; urgency=high

  * Merge pull request #113 <https://github.com/squirrel-project/squirrel_common/issues/113> from bajo/indigo_dev
    Add service for pan/tilt in angles instead of pixel coordinate
  * actually enable the service to be build
  * Add service for pan/tilt in angles instead of pixel coordinate
  * Contributors: Markus Bajones, Nadia Hammoudeh García

 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Wed, 13 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.16-0trusty) trusty; urgency=high

  * added id to lump tracker service
  * added to arrays as result (added/updated objects)
  * Contributors: Edith Langer

 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Sun, 10 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.15-0trusty) trusty; urgency=high

  * Merge pull request #106 <https://github.com/squirrel-project/squirrel_common/issues/106> from tpatten/indigo_dev
    Active exploration as ros service
  * Merge remote-tracking branch 'upstream/indigo_dev' into indigo_dev
  * Added new field to specify if occlusions are considered or not in planning.
  * added another fixate service
  * Added variance as a field in the ros service request
  * Modified service to include robot details.
  * Added new service for active exploration.
  * manual merge resolution
  * whatever...untracked files appeared
  * 0.0.4
  * update
  * 0.0.3
  * updated version
  * add CHANGELOG.rst
  * Contributors: Nadia Hammoudeh García, Philipp Zech, Tim Patten Desktop, buildbot-squirrel, mzillich

 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Sat, 09 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.14-0trusty) trusty; urgency=high

  * Add new action for haf_grasping integration
  * added comments for clarification
  * Contributors: Markus Bajones, mzillich

 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Tue, 05 Apr 2016 22:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.13-0trusty) trusty; urgency=high

  * Revert "Revert "added more tracking services""
  * Revert "added more tracking services"
  * added more tracking services
  * updated FindDynamicObjects service: using SceneObject now and returns three lists
  * Contributors: Edith Langer, Nadia Hammoudeh García, mzillich

 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Tue, 01 Mar 2016 23:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.12-0trusty) trusty; urgency=high



 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Tue, 23 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.11-0trusty) trusty; urgency=high



 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.10-0trusty) trusty; urgency=high



 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.9-0trusty) trusty; urgency=high



 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Tue, 16 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.8-0trusty) trusty; urgency=high

  * forgot the CMakelists file
  * added scene object
  * Contributors: mzillich

 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Wed, 03 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.7-0trusty) trusty; urgency=high

  * fixed recognition
  * Contributors: mzillich

 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Mon, 01 Feb 2016 23:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.6-0trusty) trusty; urgency=high



 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Sun, 31 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.4-0trusty) trusty; urgency=high

  * small change in CMakeLists
  * added srv and msgs for finding dynamic objects
  * include folder not found
  * Contributors: ipa-nhg

 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-squirrel-object-perception-msgs (0.0.3-0trusty) trusty; urgency=high



 -- Markus Bajones <markus.bajones@acin.tuwien.ac.at>  Tue, 12 Jan 2016 23:00:00 -0000



=== debian/control ===
Source: ros-indigo-squirrel-object-perception-msgs
Section: misc
Priority: extra
Maintainer: Markus Bajones <markus.bajones@acin.tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-octomap-msgs, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-squirrel-object-perception-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-octomap-msgs, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: Messages, actions and services for object perception

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-squirrel-object-perception-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
